Bug 1816588 - [abrt] gnome-shell: g_utf8_offset_to_pointer(): gnome-shell killed by SIGSEGV
Summary: [abrt] gnome-shell: g_utf8_offset_to_pointer(): gnome-shell killed by SIGSEGV
Keywords:
Status: POST
Alias: None
Product: Fedora
Classification: Fedora
Component: gnome-shell
Version: 32
Hardware: x86_64
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Florian Müllner
QA Contact: Fedora Extras Quality Assurance
URL: https://retrace.fedoraproject.org/faf...
Whiteboard: abrt_hash:68a4f2fb7e91bcb1de73906774d...
: 1816865 1816929 1817074 (view as bug list)
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2020-03-24 10:28 UTC by Marco Kundt
Modified: 2020-03-26 10:07 UTC (History)
13 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed:
Type: ---


Attachments (Terms of Use)
File: backtrace (57.08 KB, text/plain)
2020-03-24 10:28 UTC, Marco Kundt
no flags Details
File: cgroup (395 bytes, text/plain)
2020-03-24 10:28 UTC, Marco Kundt
no flags Details
File: core_backtrace (62.33 KB, text/plain)
2020-03-24 10:28 UTC, Marco Kundt
no flags Details
File: cpuinfo (2.39 KB, text/plain)
2020-03-24 10:28 UTC, Marco Kundt
no flags Details
File: dso_list (24.56 KB, text/plain)
2020-03-24 10:28 UTC, Marco Kundt
no flags Details
File: environ (1.28 KB, text/plain)
2020-03-24 10:29 UTC, Marco Kundt
no flags Details
File: exploitable (82 bytes, text/plain)
2020-03-24 10:29 UTC, Marco Kundt
no flags Details
File: limits (1.29 KB, text/plain)
2020-03-24 10:29 UTC, Marco Kundt
no flags Details
File: maps (140.64 KB, text/plain)
2020-03-24 10:29 UTC, Marco Kundt
no flags Details
File: mountinfo (4.40 KB, text/plain)
2020-03-24 10:29 UTC, Marco Kundt
no flags Details
File: open_fds (10.95 KB, text/plain)
2020-03-24 10:29 UTC, Marco Kundt
no flags Details
File: proc_pid_status (1.33 KB, text/plain)
2020-03-24 10:29 UTC, Marco Kundt
no flags Details
File: var_log_messages (2.77 KB, text/plain)
2020-03-24 10:29 UTC, Marco Kundt
no flags Details


Links
System ID Priority Status Summary Last Updated
GNOME Gitlab GNOME/mutter/-/issues/1132 None None None 2020-03-25 07:48:04 UTC

Description Marco Kundt 2020-03-24 10:28:20 UTC
Description of problem:
I'm using the English (Macintosh) keyboard layout (it's set in /etc/X11/xorg.conf.d/00-keyboard.conf and in GNOME settings) and every time i'm trying to type umlauts (right Alt+u & o || u || a) GNOME shell crashes. I'm just seeing an black screen, i can type (like in tty) but there's no prompt and nothing is evaluated. I need to kill the session or restart gdm. Happened in Wayland (haven't tested X)

Version-Release number of selected component:
gnome-shell-3.36.0-3.fc32

Additional info:
reporter:       libreport-2.12.0
backtrace_rating: 4
cmdline:        /usr/bin/gnome-shell
crash_function: g_utf8_offset_to_pointer
executable:     /usr/bin/gnome-shell
journald_cursor: s=294c96de524546a2ac33974d46cbb190;i=162e8;b=e4ff925148c04f8baf49c3dc862d8600;m=e05be2a;t=5a19605217ca6;x=801b454a8dadf477
kernel:         5.6.0-0.rc7.git0.2.fc32.x86_64
rootdir:        /
runlevel:       N 5
type:           CCpp
uid:            1000

Truncated backtrace:
Thread no. 0 (10 frames)
 #0 g_utf8_offset_to_pointer at ../glib/gutf8.c:358
 #1 meta_wayland_text_input_focus_set_preedit_text at ../src/wayland/meta-wayland-text-input.c:213
 #2 ffi_call_unix64 at ../src/x86/unix64.S:76
 #3 ffi_call at ../src/x86/ffi64.c:525
 #4 gjs_invoke_c_function at ../gi/function.cpp:1116
 #5 function_call at /usr/include/mozjs-68/js/RootingAPI.h:1212
 #6 CallJSNative at /usr/src/debug/mozjs68-68.6.0-2.fc32.x86_64/dist/include/js/CallArgs.h:284
 #7 js::InternalCallOrConstruct at /usr/src/debug/mozjs68-68.6.0-2.fc32.x86_64/vm/Interpreter.cpp:515
 #8 js::CallFromStack at /usr/src/debug/mozjs68-68.6.0-2.fc32.x86_64/vm/Interpreter.cpp:3082
 #9 Interpret at /usr/src/debug/mozjs68-68.6.0-2.fc32.x86_64/vm/Interpreter.cpp:3082

Comment 1 Marco Kundt 2020-03-24 10:28:33 UTC
Created attachment 1673038 [details]
File: backtrace

Comment 2 Marco Kundt 2020-03-24 10:28:37 UTC
Created attachment 1673039 [details]
File: cgroup

Comment 3 Marco Kundt 2020-03-24 10:28:46 UTC
Created attachment 1673040 [details]
File: core_backtrace

Comment 4 Marco Kundt 2020-03-24 10:28:50 UTC
Created attachment 1673041 [details]
File: cpuinfo

Comment 5 Marco Kundt 2020-03-24 10:28:57 UTC
Created attachment 1673042 [details]
File: dso_list

Comment 6 Marco Kundt 2020-03-24 10:29:00 UTC
Created attachment 1673043 [details]
File: environ

Comment 7 Marco Kundt 2020-03-24 10:29:03 UTC
Created attachment 1673044 [details]
File: exploitable

Comment 8 Marco Kundt 2020-03-24 10:29:10 UTC
Created attachment 1673045 [details]
File: limits

Comment 9 Marco Kundt 2020-03-24 10:29:13 UTC
Created attachment 1673046 [details]
File: maps

Comment 10 Marco Kundt 2020-03-24 10:29:17 UTC
Created attachment 1673047 [details]
File: mountinfo

Comment 11 Marco Kundt 2020-03-24 10:29:20 UTC
Created attachment 1673048 [details]
File: open_fds

Comment 12 Marco Kundt 2020-03-24 10:29:22 UTC
Created attachment 1673049 [details]
File: proc_pid_status

Comment 13 Marco Kundt 2020-03-24 10:29:25 UTC
Created attachment 1673050 [details]
File: var_log_messages

Comment 14 Laurent Wandrebeck 2020-03-24 14:14:07 UTC
Same here using either azerty or bépo, f32 gnome wayland.

Comment 15 Laurent Wandrebeck 2020-03-24 16:01:07 UTC
If that can help, such bug did not happen when I first updated from f31 to f32 (with vmlinuz-5.6.0-0.rc5.git0.2.fc32.x86_64). Once updated to vmlinuz-5.6.0-0.rc7.git0.2.fc32.x86_64 (mutter and gnome-session* and a couple other things updated too), bug appears.

Comment 16 Marco Kundt 2020-03-24 17:45:27 UTC
It occurred after the updates from 3.36.0-1.fc32 to 3.36.0-2.fc32 of theses packages:

gnome-session
gnome-session-wayland-session
gnome-session-xsession
mutter

Comment 17 Edouard Bourguignon 2020-03-24 18:57:19 UTC
same problem with french keyboard layout and caret symbol (used very often)

Comment 18 Edouard Bourguignon 2020-03-24 19:30:51 UTC
indeed, downgrading mutter-3.36.0-2.fc32.x86_64 to mutter-3.36.0-1.fc32.x86_64 fixes this issue, no more crashes

Comment 19 fred 2020-03-24 22:19:33 UTC
*** Bug 1816865 has been marked as a duplicate of this bug. ***

Comment 20 fred 2020-03-24 22:33:37 UTC
same here, french azerty variant layout. I can't make circumflex accents (lettre right to the p) . Looks like dead letters dont work at all , I cant combine them and some make the shell crash.

Comment 21 Kjetil Nygård 2020-03-25 07:51:03 UTC
*** Bug 1816929 has been marked as a duplicate of this bug. ***

Comment 22 Kjetil Nygård 2020-03-25 08:12:02 UTC
A simple workaround is to downgrade mutter to version 3.36.0-1.fc32.

(Then versionlock can prevent it from being upgraded again...)

Code

```
    dnf downgrade mutter-3.36.0-1.fc32
    dnf install python3-dnf-plugin-versionlock -y
    dnf versionlock exclude mutter-3.36.0-2.fc32
```

Comment 23 vincent 2020-03-25 11:04:00 UTC
Similar problem has been detected:

Tried to type a E-circumflex. Any time I type a circumflex Gnome crashes

reporter:       libreport-2.12.0
backtrace_rating: 4
cgroup:         0::/user.slice/user-1000.slice/user@1000.service/gnome-shell-wayland.service
cmdline:        /usr/bin/gnome-shell
crash_function: g_utf8_offset_to_pointer
executable:     /usr/bin/gnome-shell
journald_cursor: s=67170de91c7148109bfa2f6a05390f11;i=1efb;b=7288f11db70a4a96b07b0d4497bc7c50;m=14e97a72;t=5a1abb0a3ed94;x=c60f7c5c739dada8
kernel:         5.6.0-0.rc7.git0.2.fc32.x86_64
package:        gnome-shell-3.36.0-3.fc32
reason:         gnome-shell killed by SIGSEGV
rootdir:        /
runlevel:       N 5
type:           CCpp
uid:            1000

Comment 24 Nahuel Gomez Castro 2020-03-25 14:18:04 UTC
*** Bug 1817074 has been marked as a duplicate of this bug. ***

Comment 25 Nahuel Gomez Castro 2020-03-25 14:29:41 UTC
Happening here when I try to search for a custom location on gnome-weather

reporter:       libreport-2.12.0
backtrace_rating: 3
cgroup:         0::/user.slice/user-1000.slice/user@1000.service/gnome-shell-wayland.service
cmdline:        /usr/bin/gnome-shell
crash_function: g_utf8_offset_to_pointer
executable:     /usr/bin/gnome-shell
journald_cursor: s=a26c642e90214c60a6ec334a5a418aca;i=6fd4;b=b5e60c6909e948f48302dd01941c420a;m=202e1f35;t=5a1ae46a28867;x=1f554d4d09c9e240
kernel:         5.6.0-0.rc7.git0.2.fc32.x86_64
rootdir:        /
runlevel:       N 5
type:           CCpp
uid:            1000

Comment 26 ricky.tigg 2020-03-25 17:05:04 UTC
Similar problem has been detected:

Last term of expression ' rpm -qfi `which scap-workbench` ' entered under those cases are cause of present crash. 
case 1 – gnome-terminal; results as a logout
case 2 – gedit; l; results as closing gedit

reporter:       libreport-2.12.0
backtrace_rating: 4
cgroup:         0::/user.slice/user-1000.slice/user@1000.service/gnome-shell-wayland.service
cmdline:        /usr/bin/gnome-shell
crash_function: g_utf8_offset_to_pointer
executable:     /usr/bin/gnome-shell
journald_cursor: s=58d45d96a0424a3f87aa8d7a18e88390;i=5ecf4;b=6365b2b9e1ae4c39bca47181c920fb2f;m=15fcdb8dc;t=5a1afac0371e9;x=1d80d19ab707eb2f
kernel:         5.6.0-0.rc7.git0.2.fc32.x86_64
package:        gnome-shell-3.36.0-3.fc32
reason:         gnome-shell killed by SIGSEGV
rootdir:        /
runlevel:       N 5
type:           CCpp
uid:            1000

Comment 27 Laurent Wandrebeck 2020-03-26 10:07:55 UTC
fixed for me in mutter-3.36.0-3.fc32
Thanks !


Note You need to log in before you can comment on or make changes to this bug.